This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 707045 - waking up on the "open lid" acpi event
waking up on the "open lid" acpi event
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: acpi (Show other bugs)
15
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Steven M. Parrish
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-05-23 15:58 EDT by Aleksandra Bookwar
Modified: 2012-08-07 14:37 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-07 14:37:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Aleksandra Bookwar 2011-05-23 15:58:46 EDT
Description of problem:

The "open lid" event doesn't trigger "wake up from suspend" action.

Version-Release number of selected component (if applicable):
kernel 2.6.38.2-8.fc15.x86_64
acpid-2.0.9-4.fc15.x86_64
acpitool-0.5.1-2.fc15.x86_64

How reproducible:
always

Steps to Reproduce:
1. Close lid to suspend
2. Open lid
  
Actual results:
Wake up on button press only.

Expected results:
Waking up.

Additional info:

1) smolt profile 
http://www.smolts.org/client/show/pub_f46a178d-7e3a-40c1-99ed-cbcd1f8f9f0a

2) acpi_listen recognizes the events during suspend

# acpi_listen 
button/lid LID close
video/switchmode VMOD 00000080 00000000
video/switchmode VMOD 00000080 00000000
button/lid LID open
battery PNP0C0A:00 00000080 00000001
battery PNP0C0A:00 00000081 00000001
ac_adapter ACPI0003:00 00000080 00000000
battery PNP0C0A:00 00000080 00000001

3) /proc/acpi/button/lid/LID0/state shows the right state for the lid
 
4) # cat /proc/acpi/wakeup
Device S-state Status Sysfs node
UHC0 S3 *disabled pci:0000:00:1d.0
UHC1 S3 *disabled pci:0000:00:1d.1
UHC2 S3 *disabled pci:0000:00:1d.2
UHCR S3 *disabled
EHC1 S3 *disabled pci:0000:00:1d.7
UHC3 S3 *disabled pci:0000:00:1a.0
UHC4 S3 *disabled
UHC5 S3 *disabled
EHC2 S3 *disabled pci:0000:00:1a.7
EXP1 S4 *disabled pci:0000:00:1c.0
PXSX S4 *enabled pci:0000:01:00.0
EXP2 S4 *disabled
PXSX S4 *disabled
EXP3 S4 *disabled
PXSX S4 *disabled
EXP4 S4 *disabled pci:0000:00:1c.3
PXSX S4 *disabled pci:0000:02:00.0
EXP5 S4 *disabled
PXSX S4 *disabled
EXP6 S4 *disabled
PXSX S4 *disabled 

5) at the same time suspend action on "close lid" event works

6) # cat /var/log/messages | grep Lid
May 23 20:30:00 book kernel: [    1.368915] input: Lid Switch as /devices/LNXSYSTM:00/device:00/PNP0C0D:00/input/input1
May 23 20:30:00 book kernel: [    1.370459] ACPI: Lid Switch [LID0]

============================
And I am not sure if I should put it in a separate bug:

Switching from AC adapter to battery triggers brightness decreasing, but switching back to AC doesn't restore the brightness back.

The acpi_listen output for this case:
Switching to battery
# acpi_listen 
ac_adapter ACPI0003:00 00000080 00000000
battery PNP0C0A:00 00000080 00000001
ac_adapter ACPI0003:00 00000080 00000000
battery PNP0C0A:00 00000080 00000001

Switching back to AC
# acpi_listen 
ac_adapter ACPI0003:00 00000080 00000001
battery PNP0C0A:00 00000080 00000001
ac_adapter ACPI0003:00 00000080 00000001
battery PNP0C0A:00 00000080 00000001
Comment 1 Andreas Fleig 2011-05-30 08:31:50 EDT
I have a possibly related problem with kernel 2.6.38.6-26.rc1.fc15: It seems to ignore the LID wakeup setting configured via /proc/acpi/wakeup. I need to disable lid wakeup, because my lid switch is defective (by design) and I'm uncomfortable with my laptop resuming from suspend inside my bag.

I've been using a pm-utils hook to disable lid wakeup since Fedora 13, which always worked. In F15, the hook gets executed (according to pm-suspend.log) and LID is always disabled in /proc/acpi/wakeup. So it seems the kernel ignores that setting, unless there is another component overriding it just before suspending.


Hardware profile:
http://www.smolts.org/client/show/pub_25d015e0-a35b-4695-a4c1-6a92dcf1f3d7


$ cat /proc/acpi/wakeup 
Device	S-state	  Status   Sysfs node
LID	  S3	*disabled  
SLPB	  S3	*enabled   
IGBE	  S4	*enabled   pci:0000:00:19.0
EXP0	  S4	*disabled  pci:0000:00:1c.0
EXP1	  S4	*disabled  pci:0000:00:1c.1
EXP2	  S4	*disabled  pci:0000:00:1c.2
EXP3	  S4	*disabled  pci:0000:00:1c.3
EXP4	  S4	*disabled  pci:0000:00:1c.4
PCI1	  S4	*disabled  pci:0000:00:1e.0
USB0	  S3	*disabled  pci:0000:00:1d.0
USB1	  S3	*disabled  pci:0000:00:1d.1
USB2	  S3	*disabled  pci:0000:00:1d.2
USB3	  S3	*disabled  pci:0000:00:1a.0
USB4	  S3	*disabled  pci:0000:00:1a.1
EHC0	  S3	*disabled  pci:0000:00:1d.7
EHC1	  S3	*disabled  pci:0000:00:1a.7
HDEF	  S4	*disabled  pci:0000:00:1b.0


$ cat /etc/pm/sleep.d/99-disable-lidwakeup 
#!/bin/sh

status=`cat /proc/acpi/wakeup|grep LID|grep enabled|wc -l`
if [ "$status" -eq "1" ]
then
    echo "LID" > /proc/acpi/wakeup
fi
exit 0
Comment 2 Fedora End Of Life 2012-08-07 14:37:35 EDT
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.